

#    MIDAS Access Client  for the  PGRISAccess service

global env
source [file join $env(MIDASBASE) SOAP tcl MIDASAccessClient.tcl]    ;#   load default support procedures

global PGRISAccessServerHost PGRISAccessServerPort

if {[info exists PGRISAccessServerHost] == 0} then {set PGRISAccessServerHost localhost}
if {[info exists PGRISAccessServerPort] == 0} then {set PGRISAccessServerPort 8015}


variable uri "urn:PGRISAccessServer"
variable proxy "http://$PGRISAccessServerHost:$PGRISAccessServerPort/PGRISAccessServer"

set PGRISAccessServerTimeOut 10000

SOAP::create PGRISAccessClient__Verbose -proxy $proxy -uri $uri -timeout 1000 \
     -name  AccessServerVerbose \
     -params {opt int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply 

SOAP::create PGRISAccessClient__Get -proxy $proxy -uri $uri -timeout $PGRISAccessServerTimeOut \
     -name Get \
     -params {Address int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create PGRISAccessClient__Set -proxy $proxy -uri $uri -timeout $PGRISAccessServerTimeOut \
     -name Set \
     -params {Address int Value int} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply

SOAP::create PGRISAccessClient__SetBitRegister -proxy $proxy -uri $uri -timeout $PGRISAccessServerTimeOut \
     -name SetBitRegister \
     -params {Address int Value string} \
     -wrapProc  ::SOAP::MIDAS_SOAPAccessClient_Request \
     -parseProc ::SOAP::MIDAS_SOAPAccessClient_Reply



package provide PGRISAccessClient 1.0
