# opt.tcl---miscellaneous option setting panels, mainly for spectrum display

# Thu Jun  2 15:24:19 BST 1994, SCL (Copied version)

set debug 0

set frame .opt
set frametitle "Spectrum Display Options"
set icontitle OPT

proc firsts {ps} {
   set ll {}
   foreach p $ps {lappend ll [first $p]}
   return $ll
}

proc quote-list l {
   set ll ""
   foreach f $l {append ll " " "'$f'"}
   return $ll
}

proc put {this inst val} {
   global $this
   set ${this}($inst) $val
}

proc put-real {this inst val} {
   global $this
   if ([scan "$val" "%f" realval]) then {set ${this}($inst) $val}
}

proc get {this inst} {
   global $this
   set ${this}($inst)
}

proc redisplay {this} {
   global debug
   $this.repaint
}

proc show {this} {
   set ll {}
   global $this
   foreach n [array names $this] {lappend ll [list $n [get $this $n]]}
   return $ll
}


proc apply {this} {
   $this.announce
}

proc save {this} {
   $this.save
   update_preferences
}

proc help {this} {
   $this.help
}

proc start {this args} {
   global $this
   $this.make-frame
}

loadsource colorpick

loadsource opt.BF
loadsource opt.BP
loadsource opt.CM
loadsource opt.OLCM
loadsource opt.PF
loadsource opt.GM
#loadsource opt.S2DC
loadsource opt.SDC
loadsource opt.SP
loadsource opt.AC


#    the following frame is created in order than global bindings are created
#     it is not shown
midas_default_frame
catch {wm withdraw .}


load_preferences


